--- old/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/ipqosconf.c	2016-02-15 12:55:57.672865210 -0500
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/ipqosconf.c	2016-02-15 12:55:57.678898829 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* enable debug output and some debug asserts */
 #undef	_IPQOS_CONF_DEBUG
 
@@ -622,8 +620,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -711,8 +708,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -776,8 +772,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -6345,8 +6340,7 @@
 
 	/* free its nvlist if present */
 
-	if (cls->nvlist)
-		nvlist_free(cls->nvlist);
+	nvlist_free(cls->nvlist);
 
 	/* free its action refs if present */
 
@@ -6790,8 +6784,7 @@
 	ipqos_conf_act_ref_t *next;
 
 	while (aref) {
-		if (aref->nvlist)
-			nvlist_free(aref->nvlist);
+		nvlist_free(aref->nvlist);
 		next = aref->next;
 		free(aref);
 		aref = next;
